Bug 249186 - Can't boot F7 on KVM. Installer and LiveCD works. Soft lockup on CPU#0
Can't boot F7 on KVM. Installer and LiveCD works. Soft lockup on CPU#0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://nsm.pl/~niria/fc7-kvm-softlock...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-22 06:37 EDT by Tomasz Torcz
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.1-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 20:23:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of failed boot. (46.21 KB, image/png)
2007-07-22 06:38 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2007-07-22 06:37:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.8.1.5) Gecko/20061201 Epiphany/2.18 Firefox/2.0.0.5 (Ubuntu-feisty)

Description of problem:
Installed fedora 7 don't boot in KVM. But installer and LiveCD using the same kernel works. Upgrading kernel to latest do not work.

Booting stops while detecting lvm volumes.

Host OS is Ubuntu, kernel 2.6.20-16-generic, kvm 16-1ubuntu2, Core Duo T2500.
Command line: kvm -m 384 -hda fedora-devel.i386.qcow2 

Version-Release number of selected component (if applicable):
2.6.21-1.3228.fc7

How reproducible:
Always


Steps to Reproduce:
1. Install F7 using KVM.
2. Boot installed F7


Actual Results:
Booting halted with soft lockup.

Expected Results:
Booting should suceed.

Additional info:
See attached screenshot.
Comment 1 Tomasz Torcz 2007-07-22 06:38:26 EDT
Created attachment 159737 [details]
Screenshot of failed boot.

There are two screenshots here. First is normal boot. Second is after replacing
"quiet" with "verbose" in kernel command line ine GRUB.
Comment 2 Avi Kivity 2007-07-23 04:57:14 EDT
This is fixed in 2.6.23-rc1.  A backport of the patches to older kernels is 
possible.
Comment 3 Tomasz Torcz 2007-08-29 17:36:06 EDT
Still happens with 2.6.22.4-65.fc7.
Comment 4 Chuck Ebbert 2007-08-29 17:42:44 EDT
(In reply to comment #2)
> This is fixed in 2.6.23-rc1.  A backport of the patches to older kernels is 
> possible.

*Which* patches?
Comment 5 Avi Kivity 2007-09-01 14:58:17 EDT
57c22f49e4c7d27a03e109a317c30b12f1bae0b2
Comment 6 Christopher Brown 2007-09-20 07:02:52 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems after applying the patches Avi mentioned? You can
also test with a development kernel or 2.6.23 which should be released shortly.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 7 Tomasz Torcz 2007-09-20 14:32:39 EDT
I don't see 2.6.23 for fc7 at davej's webpage right now. I will wait till this
kernel appears.
Comment 8 Chuck Ebbert 2007-09-20 14:47:02 EDT
> I don't see 2.6.23 for fc7 at davej's webpage right now. I will wait till
> this kernel appears.

The patch from comment #5 is in kernel 2.6.22.5 and above, no need for 2.6.23.
Did you test any releases after 2.6.22.4-65?
Comment 9 Avi Kivity 2007-09-20 15:31:28 EDT
I think that for this a new userspace is required, not a new kernel.  Or maybe 
both.
Comment 10 Tomasz Torcz 2007-10-14 09:54:24 EDT
Sorry, someone removed me from CC and I didn't get any comments for a while.
Anyway, kernel 2.6.22-9.91.fc7 halts same way. No improvement.

Avi, what new userspace do you mean? Newer version of kvm/qemu in Ubuntu (host os)?
Comment 11 Avi Kivity 2007-10-14 10:30:01 EDT
I just installed F7 32-bit from the DVD and booted it, using kvm-46+.  I 
suggest trying the latest snapshot from 
http://people.qumranet.com/avi/snapshots/.  Most likely using it's the new 
userspace (including the bios) that's needed.  If not, we can try and find 
exactly what fix is needed for the kernel and backport it.
Comment 12 Avi Kivity 2007-10-14 10:31:39 EDT
Responding more clearly to the question in #11, yes, a new version of qemu 
with the kvm patches.
Comment 13 Tomasz Torcz 2007-10-15 04:39:46 EDT
Thanks for all your input. I've just installed kernel 2.6.23.fc7 from
updates-testing and it boots on KVM. So this issue is fixed.

Note You need to log in before you can comment on or make changes to this bug.